Linux en beveiligingsbestanden

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

Senior DevOps-ontwikkelaar eIDAS

Functie­omschrijving Burgers en bedrijven veilig en betrouwbaar digitaal toegang geven tot diensten en producten van het ministerie van Economische Zaken en Klimaat. Als senior DevOps-ontwikkelaar bouw je daar letterlijk aan mee. En dat doe je bij DICTU: een van de grootste en meest vooruitstrevende ICT-dienstverleners van de Rijksoverheid. Jij werkt mee aan de doorontwikkeling van eIDAS, dat staat voor Electronic IDentification Authentication and trust Services. Deze koppeling maakt de grensoverschrijdende authenticatie op overheidswebsites binnen de Europese Unie mogelijk. Het ministerie van Economische Zaken en Klimaat heeft één moderne toegangspoort voor zijn diensten en inspecties. Enkele daarvan zijn dankzij eIDAS inmiddels

Bekijk vacature »

Mark Coenie

Mark Coenie

30/08/2015 11:54:54
Quote Anchor link
Hi,

Ik wil graag beveiligings toepassingen gebruiken om mappen en bestanden te beveiligen.
Ik wou dit eerst doen met .htaccess maar dit werkte niet, waarschijnlijk omdat mijn webserver op linux draait.
Is er een andere manier om mappen en bestanden te beschermen?

Alvast bedankt!

Mark
 
PHP hulp

PHP hulp

22/09/2020 13:23:55
 
- Ariën -
Beheerder

- Ariën -

30/08/2015 12:07:43
Quote Anchor link
.htaccess werkt anders prima op Linux en Apache/Nginx.

Ik denk dat er dan iets fout is in het pad naar je .htpasswd
 
Mark Coenie

Mark Coenie

30/08/2015 12:24:36
Quote Anchor link
Het vreemde is dat ik het bestand helemaal niet kan uploaden terwijl ik wel gebruik maak van verborgen bestanden weergeven in het ftp programma.
Ik dacht eerst dat .htaccess bestanden niet geaccepteerd werden bij linux maar dat is dus niet zo.
 
Thomas van den Heuvel

Thomas van den Heuvel

30/08/2015 13:14:51
Quote Anchor link
Er van uitgaande dat je Apache gebruikt: je zult in je configuratie (als je shell access hebt) na moeten gaan of de directive "AllowOverride" op "All" staat. Dit zorgt ervoor dat je op lager gelegen niveau's .htaccess bestanden kunt instellen. Zoek in httpd.conf (of wat voor jouw Apache configuratie file doorgaat) naar de volgende passage:
Quote:
#
# AllowOverride controls what directives may be placed in .htaccess files.
# It can be "All", "None", or any combination of the keywords:
# Options FileInfo AuthConfig Limit
#

Zorg dat de waarde hiervan op "All" staat (zonder quotes).

En daarna even je server herstarten, uiteraard.
 
Mark Coenie

Mark Coenie

30/08/2015 13:43:55
Quote Anchor link
Bedankt voor jullie reactie Aar en Thomas.

Het is inmiddels opgelost.
Normaal gebruik ik total commanser als ftp.
Ik heb het nu met fillzilla gedaan en nu werkt het wel.
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.